%define srcname pyglet
%define srcversion 1.2
%define versionedname %{srcname}-%{srcversion}alpha1

Name: python-%{srcname}
Version: %{srcversion}
Release: %mkrel -c alpha1 0
Summary: A cross-platform windowing and multimedia library for Python
Group: Development/Python
License: BSD
URL: http://www.pyglet.org/

# The upstream tarball includes some non-free files in the examples and tests,
# and a patented texture compression algorithm.
# Run the following (in rpmbuild/SOURCES) to generate the distributed tarball:
# $ sh pyglet-get-tarball.sh pyglet-1.2alpha1
# See the script for details.
Source0: %{versionedname}-repacked.tar.gz
Source1: pyglet-get-tarball.sh

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python3-devel

Requires: python
Requires: python-pillow

# The libraries are imported dynamically using ctypes, so rpm can't find them.
Requires: libmesagl
Requires: libx11


%description
This library provides an object-oriented programming interface for developing
games and other visually-rich applications with Python.
pyglet has virtually no external dependencies. For most applications and game
requirements, pyglet needs nothing else besides Python, simplifying
distribution and installation. It also handles multiple windows and
fully aware of multi-monitor setups.

pyglet might be seen as an alternative to PyGame.

%package -n python3-%{srcname}
Summary: A cross-platform windowing and multimedia library for Python 3
Group: Development/Python

Requires: python3-pillow

# The libraries are imported dynamically using ctypes, so rpm can't find them.
Requires: libmesagl
Requires: libx11

%description -n python3-%{srcname}
This library provides an object-oriented programming interface for developing
games and other visually-rich applications with Python 3.
pyglet has virtually no external dependencies. For most applications and game
requirements, pyglet needs nothing else besides Python, simplifying
distribution and installation. It also handles multiple windows and
fully aware of multi-monitor setups.

pyglet might be seen as an alternative to PyGame.



%prep
%setup -q -n %{versionedname}

# Remove the bundled pypng library python-pillow provides the same functionality)
rm pyglet/image/codecs/png.py
rm pyglet/image/codecs/pypng.py

# Get rid of hashbang lines. This is a library, it has no executable scripts.
# Also remove Windows newlines
find . -name '*.py' | xargs sed --in-place -e's|#!/usr/bin/\(env \)\?python||;s/\r//'

cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc LICENSE
%doc CHANGELOG
%doc README
%doc NOTICE
%doc PKG-INFO
%{python_sitelib}/%{versionedname}-py2.?.egg-info
%{python_sitelib}/%{srcname}


%files -n python3-%{srcname}
%doc LICENSE
%doc CHANGELOG
%doc README
%doc NOTICE
%doc PKG-INFO
%{python3_sitelib}/%{versionedname}-py3.?.egg-info
%{python3_sitelib}/%{srcname}





%changelog
* Fri Nov 22 2013 philippem <philippem> 1.2-0.alpha1.0.mga4
+ Revision: 552350
- imported package python-pyglet

